Update RFP Linked with Shipment

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Overview

HTTP Method: PUT

Endpoint URL: https://coreapi.impexdocs.com/api/v1/rfp/{shipmentdocs_id}

Authentication: Required

Response Format: JSON

Description

To modify a RFP, make a PUT request to the specified endpoint with the required information. The response will be a JSON object containing:

  • Response Code
  • Message
  • Result

Request

Path Parameter

  • Shipment Docs ID (shipmentdocs_id): The identifier generated during the creation of a new Shipment. Retrieve this ID from the response of the POST Shipment API.
  • Shipment Folder Detail Id (shipmentfolderdetail_id): The shipment number is the primary key used to uniquely identify each Shipment in our system. It is essential for updating and retrieving data.
  • Commodity (commodity): This helps us to define the commodity for that RFP will be updated.
  • Exporter Reference (exporter_reference): This helps us to uniquely identify Exporter.

Example Path Parameter

https://coreapi.impexdocs.com/api/v1/rfp/your_shipmentdocs_id

Example Request

Ensure to include the Shipmentdocs ID in the path and provide any additional fields that need modification in the request JSON.

Response

The API will respond with a JSON object containing:

  • Response Code
  • Message

Example Response JSON

{
  "response_code": 200,
  "message": "Updated"
}

Note

  • Ensure proper authentication before making the request.
  • Use the Shipmentdocs ID obtained during the creation of the Shipment for the path parameter.
  • Provide the necessary fields to be modified in the request JSON.
Path Params
uuid
required
Body Params
header_details
object
shipping_details
object
edn_details
object
other_details
object
forward_transfer_details
object
inspection_details
object
additional_person_resp_details
object
destination_place_details
object
product_lines_details
object
manufacturer_details
array of objects | null
manufacturer_details
attachment_details
array of objects | null
attachment_details
Headers
string | null

Company ID (Optional)

string
enum
Defaults to application/json

Generated from available response content types

Allowed:
string
enum
Defaults to application/json-patch+json

Generated from available request content types

Allowed:
Responses

500

Server Error

503

Server Error

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
text/plain
application/json
text/json